<?php

require_once get_template_directory() . '/inc/woocommerce-functions.php';
require_once get_template_directory() . '/inc/setup/setup.php';
require_once get_template_directory() . '/inc/acf-settings.php';
require_once get_template_directory() . '/inc/customizer/customizer.php';
require_once get_template_directory() . '/inc/block/block.php';

// UI Utils
require_once get_template_directory() . '/parts/utils.php';
require_once get_template_directory() . '/parts/ajax.php';

// DTOs
require_once get_template_directory() . '/services/dtos/ImageDto.php';
require_once get_template_directory() . '/services/dtos/SocialLinkDto.php';
require_once get_template_directory() . '/services/dtos/CommentDto.php';
require_once get_template_directory() . '/services/dtos/BannerDto.php';
require_once get_template_directory() . '/services/dtos/MenuItemDto.php';
require_once get_template_directory() . '/services/dtos/ProductDto.php';
require_once get_template_directory() . '/services/dtos/IconDto.php';
require_once get_template_directory() . '/services/dtos/CategoryDto.php';
require_once get_template_directory() . '/services/dtos/CategoryChildrenDto.php';
require_once get_template_directory() . '/services/dtos/FilterDto.php';
require_once get_template_directory() . '/services/dtos/AttributeDto.php';
require_once get_template_directory() . '/services/dtos/VariationDto.php';
require_once get_template_directory() . '/services/dtos/PostDto.php';
require_once get_template_directory() . '/services/dtos/PostDetailDto.php';
require_once get_template_directory() . '/services/dtos/QaDto.php';
require_once get_template_directory() . '/services/dtos/FooterLinksDto.php';
require_once get_template_directory() . '/services/dtos/LinkDto.php';
require_once get_template_directory() . '/services/dtos/FooterColumnDto.php';
require_once get_template_directory() . '/services/dtos/FooterDto.php';
require_once get_template_directory() . '/services/dtos/ProductDetailsDto.php';
require_once get_template_directory() . '/services/dtos/CartDto.php';
require_once get_template_directory() . '/services/dtos/CartProductDto.php';
require_once get_template_directory() . '/services/dtos/FarazSmsInfoDto.php';

// enums
require_once get_template_directory() . '/services/enums/SliderType.php';
require_once get_template_directory() . '/services/enums/SortType.php';
require_once get_template_directory() . '/services/enums/SocialLinkType.php';
require_once get_template_directory() . '/services/enums/PostType.php';

// Services
require_once get_template_directory() . '/services/general.php';
require_once get_template_directory() . '/services/product.php';